SanitizerApi: Sanitizer Stream API

# Sanitizer Stream API

## Functions
SanitizerResult SANITIZERAPI | sanitizerGetStream (Sanitizer_StreamHandle hStream, CUstream *stream)
| Retrieve a CUstream handle from a Sanitizer_StreamHandle handle.
SanitizerResult SANITIZERAPI | sanitizerGetStreamHandle (CUcontext ctx, CUstream stream, Sanitizer_StreamHandle *hStream)
| Retrieve a Sanitizer_StreamHandle handle from a CUstream handle.
SanitizerResult SANITIZERAPI | sanitizerStreamSynchronize (Sanitizer_StreamHandle stream)
| Synchronize a given stream.

## Detailed Description

Functions, types, and enums that implement the Sanitizer Stream API.

## Function Documentation

SanitizerResult SANITIZERAPI sanitizerGetStream | ( | Sanitizer_StreamHandle | hStream,
|  | CUstream * | stream |
| ) |  |  |

Note:
  Thread-safety: this function is thread safe.

Parameters:

  `[in]` | hStream | Sanitizer Stream handle.
  `[out]` | stream | Output CUstream handle.

Return values:

  | SANITIZER_SUCCESS | on success
  | SANITIZER_ERROR_INVALID_PARAMETER | if `hStream` is not a valid Sanitizer stream handle or if `stream` is NULL.

SanitizerResult SANITIZERAPI sanitizerGetStreamHandle | ( | CUcontext | ctx,
|  | CUstream | stream,
|  | Sanitizer_StreamHandle * | hStream |
| ) |  |  |

Note:
  Thread-safety: this function is thread safe.

Parameters:

  `[in]` | ctx | Context owning the stream. If NULL, the current context will be used.
  `[in]` | stream | CUstream handle. If NULL, the NULL stream will be used.
  `[out]` | hStream | Output Sanitizer Stream handle.

Return values:

  | SANITIZER_SUCCESS | on success
  | SANITIZER_ERROR_INVALID_PARAMETER | if `stream` is not a valid CUstream handle or if `hStream` is NULL.

SanitizerResult SANITIZERAPI sanitizerStreamSynchronize | ( | Sanitizer_StreamHandle | stream | ) |

Equivalent of cudaStreamSynchronize that can be called with a sanitizer stream handle

Note:
  Thread-safety: this function is thread safe.

Parameters:

  | stream | Stream handle. If NULL, the NULL stream will be used.